def some_decorator(func):
    def wrapper(*args, **kwargs):
        result = func()
        return result ** 2
    
    return wrapper


def calculate():
    return 1 + 1


print(calculate())


@some_decorator
def calculate():
    return 1 + 1

print(calculate())
